petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCoarsenSetAdjacency

Sets the adjacency graph (matrix) of the thing to be coarsened.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenSetAdjacency(MatCoarsen agg, Mat adj)

Collective on MatCoarsen

### Input Parameters

| agg | - the coarsen context
| adj | - the adjacency matrix

### See Also

MatCoarsenCreate(), MatCoarsenApply()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages